Subject: bug#8639: closed (Re: bug#8639: 23.2; emacs python mode should colorize nonlocal keyword)

From: [email-masked] (GNU bug Tracking System)
Date: Fri, 13 May 2011 12:47:03 +0000

Your bug report

#8639: 23.2; emacs python mode should colorize nonlocal keyword

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8639: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8639
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8639: 23.2; emacs python mode should colorize nonlocal keyword
From: Juanma Barranquero <[email-masked]>
To: Steve Chapel <[email-masked]>
Cc: [email-masked]
Date: Fri, 13 May 2011 14:45:48 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

On Fri, May 13, 2011 at 14:29, Steve Chapel <[email-masked]> wrote:

> I've programmed thousands of lines of Python 3 code over the past year,
> nearly exclusively in emacs, and this is the only problem I've noticed.
> Perhaps there are others I'm not aware of.

OK, the patch is tiny and harmless and won't hinder any future work to
adapt to Python 3, so I've committed it to the emacs-23 branch.

    Juanma

Subject: 23.2; emacs python mode should colorize nonlocal keyword
From: Steve Chapel <[email-masked]>
To: [email-masked]
Date: Sun, 08 May 2011 18:56:18 -0400
List-Id: <debbugs-submit.debbugs.gnu.org>

When editing a Python source file, the nonlocal keyword is not colorized
as are other keywords. The following program is an example:

#!/usr/bin/python3

def foo():
    i = 1
    def bar():
        nonlocal i
        return i + 1
    return bar

print(foo()())

In GNU Emacs 23.2.1 (x86_64-redhat-linux-gnu, GTK+ Version 2.21.4)
 of 2010-07-08 on x86-10.phx2.fedoraproject.org
configured using `configure  '--build=x86_64-redhat-linux-gnu' '--host=x86_64-redhat-linux-gnu' '--program-prefix=' '--disable-dependency-tracking' '--prefix=/usr' '--exec-prefix=/usr' '--bindir=/usr/bin' '--sbindir=/usr/sbin' '--sysconfdir=/etc' '--datadir=/usr/share' '--includedir=/usr/include' '--libdir=/usr/lib64' '--libexecdir=/usr/libexec' '--localstatedir=/var' '--sharedstatedir=/var/lib' '--mandir=/usr/share/man' '--infodir=/usr/share/info' '--with-dbus' '--with-gif' '--with-jpeg' '--with-png' '--with-rsvg' '--with-tiff' '--with-xft' '--with-xpm' '--with-x-toolkit=gtk' 'build_alias=x86_64-redhat-linux-gnu' 'host_alias=x86_64-redhat-linux-gnu' 'CFLAGS=-DMAIL_USE_LOCKF -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m64 -mtune=generic -fno-optimize-sibling-calls''

Important settings:
  value of $LC_ALL: nil
  value of $LC_COLLATE: nil
  value of $LC_CTYPE: nil
  value of $LC_MESSAGES: nil
  value of $LC_MONETARY: nil
  value of $LC_NUMERIC: nil
  value of $LC_TIME: nil
  value of $LANG: en_US.utf8
  value of $XMODIFIERS: @im=none
  locale-coding-system: utf-8-unix
  default enable-multibyte-characters: t

Major mode: Python

Minor modes in effect:
  tooltip-mode: t
  mouse-wheel-mode: t
  tool-bar-mode: t
  menu-bar-mode: t
  file-name-shadow-mode: t
  global-font-lock-mode: t
  font-lock-mode: t
  auto-encryption-mode: t
  auto-compression-mode: t
  line-number-mode: t
  transient-mark-mode: t

Recent input:
ESC [ > 1 ; 2 6 0 1 ; 0 c ESC x r e p TAB DEL DEL DEL 
b u g TAB TAB DEL DEL DEL DEL DEL DEL DEL DEL DEL DEL 
DEL DEL DEL DEL r e p o r t TAB RET

Recent messages:
("emacs" "hop4_2.py")
Loading /usr/share/emacs/site-lisp/site-start.d/focus-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/php-mode-init.el (source)...done
Loading /usr/share/emacs/site-lisp/site-start.d/rpm-spec-mode-init.el (source)...done
For information about GNU Emacs and the GNU system, type C-h C-a.
Making completion list... [2 times]

Load-path shadows:
None found.

Features:
(shadow sort mail-extr message idna sendmail regexp-opt ecomplete rfc822
mml mml-sec password-cache mm-decode mm-bodies mm-encode mailcap
mail-parse rfc2231 rfc2047 rfc2045 qp ietf-drums mailabbrev nnheader
gnus-util netrc time-date mm-util mail-prsvr gmm-utils wid-edit
mailheader canlock sha1 hex-util hashcash mail-utils emacsbug help-mode
view python-21 python easymenu comint ring tooltip ediff-hook vc-hooks
lisp-float-type mwheel x-win x-dnd font-setting tool-bar dnd fontset
image fringe lisp-mode register page menu-bar rfn-eshadow timer select
scroll-bar mldrag mouse jit-lock font-lock syntax facemenu font-core
frame cham georgian utf-8-lang misc-lang vietnamese tibetan thai
tai-viet lao korean japanese hebrew greek romanian slovak czech european
ethiopic indian cyrillic chinese case-table epa-hook jka-cmpr-hook help
simple abbrev loaddefs button minibuffer faces cus-face files
text-properties overlay md5 base64 format env code-pages mule custom
widget hashtable-print-readable backquote make-network-process dbusbind
system-font-setting font-render-setting gtk x-toolkit x multi-tty emacs)